Supertab.js throws different types of error objects depending on the nature and origin of the error. This page documents all error types, their structure, and details specific to each error type.Documentation Index
Fetch the complete documentation index at: https://supertab-feature-merchant-auth-change-again.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Error object structure
All error objects have the following structure:Validation errors
RequestValidationError
Thrown when the request is invalid, e.g. missing required parameters. This error is thrown by the SDK before the request is sent to the server.ResponseValidationError
Thrown when the response from the Customer API is invalid, i.e. the response body does not match the expected schema.Validation error codes
missing_parameterinvalid_parameterunrecognized_parametermissing_headerinvalid_header
Request errors
RequestError
Server errors thrown when Customer API responds with an error code.Request error codes
unauthorized(401)forbidden(403)not_found(404)conflict(409)validation_error(422)server_error(5xx)bad_request(400)request_error(catch-all)unexpected(catch-all)
Client errors
Following are error types thrown by the individual SDK clients.AuthError
Thrown by Supertab.auth when the error is related to authentication. Auth error codesauth_error
CheckoutError
Thrown by Supertab.checkout when the error is related to the checkout process. Checkout error codescheckout_errorvalidation_error